// Author: Hugo Pointcheval
// Email: git@pcl.ovh
// -----
// File: forms.dart
// Created Date: 19/08/2022 12:00:31
// Last Modified: 19/08/2022 16:35:52
// -----
// Copyright (c) 2022

import 'package:example_router/core/constants/form_field.dart';
import 'package:wyatt_form_bloc/wyatt_form_bloc.dart';

class Forms {
  static FormData getNormalData() => const FormData([
        FormInput(
          AppFormField.confirmedPassword,
          ConfirmedPassword.pure(),
          metadata: FormInputMetadata<void>(export: false),
        ),
      ]);
}
